Skip to main content
List the distribution contracts associated with a token. Use a returned contract id when creating allocations or portals. Route: GET /api/external/v1/tokens/{id}/contracts

Headers

HeaderRequiredDescription
Content-TypeYesMust be application/json
x-magna-api-tokenYesYour Magna API token

Path parameters

ParameterTypeDescription
idstring (uuid)The token ID

Request example

curl -X GET 'https://app.magna.so/api/external/v1/tokens/{token_id}/contracts?id={token_id}' \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY'

Response example

{
  "items": [
    {
      "id": "c1...uuid",
      "name": "Main Vesting Contract",
      "type": "AIRLOCK",
      "address": "0x...",
      "instanceAddress": "0x...",
      "createdAt": "2024-04-15T21:26:21.000Z"
    }
  ],
  "total": 1
}